=== stead/CMakeLists.txt ===
FILE(GLOB STEAD_FILES "*.lua")

IF(SYSTEMWIDE)
	INSTALL(FILES ${STEAD_FILES} DESTINATION ${STEADDIR})
ELSEIF(STANDALONE)
	INSTALL(FILES ${STEAD_FILES} DESTINATION ${STANDALONEDIR}/stead)
ENDIF(SYSTEMWIDE)
