=== stead/Makefile ===
include ../Rules.make
include ../config.make

clean:
all:	stead.lua

install:
	$(INSTALLD) $(DESTDIR)$(STEADPATH)
	$(INSTALL) stead.lua $(DESTDIR)$(STEADPATH)/stead.lua
	$(INSTALL) gui.lua $(DESTDIR)$(STEADPATH)/gui.lua
	$(INSTALL) walk.lua $(DESTDIR)$(STEADPATH)/walk.lua
	$(INSTALL) xact.lua $(DESTDIR)$(STEADPATH)/xact.lua
	$(INSTALL) input.lua $(DESTDIR)$(STEADPATH)/input.lua
	$(INSTALL) click.lua $(DESTDIR)$(STEADPATH)/click.lua
	$(INSTALL) finger.lua $(DESTDIR)$(STEADPATH)/finger.lua
	$(INSTALL) events.lua $(DESTDIR)$(STEADPATH)/events.lua
	$(INSTALL) dbg.lua $(DESTDIR)$(STEADPATH)/dbg.lua
	$(INSTALL) vars.lua $(DESTDIR)$(STEADPATH)/vars.lua
	$(INSTALL) prefs.lua $(DESTDIR)$(STEADPATH)/prefs.lua
	$(INSTALL) snapshots.lua $(DESTDIR)$(STEADPATH)/snapshots.lua
	$(INSTALL) object.lua $(DESTDIR)$(STEADPATH)/object.lua
	$(INSTALL) format.lua $(DESTDIR)$(STEADPATH)/format.lua
	$(INSTALL) dash.lua $(DESTDIR)$(STEADPATH)/dash.lua
	$(INSTALL) para.lua $(DESTDIR)$(STEADPATH)/para.lua
	$(INSTALL) quotes.lua $(DESTDIR)$(STEADPATH)/quotes.lua
	$(INSTALL) timer.lua $(DESTDIR)$(STEADPATH)/timer.lua
	$(INSTALL) kbd.lua $(DESTDIR)$(STEADPATH)/kbd.lua
	$(INSTALL) hotkeys.lua $(DESTDIR)$(STEADPATH)/hotkeys.lua
	$(INSTALL) hideinv.lua $(DESTDIR)$(STEADPATH)/hideinv.lua
	$(INSTALL) theme.lua $(DESTDIR)$(STEADPATH)/theme.lua
	$(INSTALL) sprites.lua $(DESTDIR)$(STEADPATH)/sprites.lua
	$(INSTALL) sound.lua $(DESTDIR)$(STEADPATH)/sound.lua
	$(INSTALL) wroom.lua $(DESTDIR)$(STEADPATH)/wroom.lua
	$(INSTALL) nouse.lua $(DESTDIR)$(STEADPATH)/nouse.lua
	$(INSTALL) dlg.lua $(DESTDIR)$(STEADPATH)/dlg.lua
	$(INSTALL) counters.lua $(DESTDIR)$(STEADPATH)/counters.lua
	$(INSTALL) proxymenu.lua $(DESTDIR)$(STEADPATH)/proxymenu.lua
	$(INSTALL) nolife.lua $(DESTDIR)$(STEADPATH)/nolife.lua

uninstall:
	$(RM) $(DESTDIR)$(STEADPATH)/stead.lua
	$(RM) $(DESTDIR)$(STEADPATH)/gui.lua
