## instead 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ENDIF("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
 
 # global constants
-SET(INSTEAD_VERSION "2.4.1")
+SET(INSTEAD_VERSION "3.1.2")
 
 # options
 OPTION(WITH_SDL2 "Use SDL2 instead of SDL 1" OFF)
@@ -30,7 +30,8 @@
 OPTION(STANDALONE "Build for standalone package creation" OFF)
 
 IF(WITH_GTK2 AND WITH_GTK3)
-	MESSAGE(FATAL_ERROR "WITH_GTK2 and WITH_GTK3 are mutually exclusive")
+	MESSAGE(WARNING "WITH_GTK2 and WITH_GTK3 are mutually exclusive, disabling WITH_GTK2")
+	SET(WITH_GTK2 OFF)
 ENDIF(WITH_GTK2 AND WITH_GTK3)
 
 IF(SYSTEMWIDE AND STANDALONE)
@@ -57,6 +58,6 @@
 ADD_SUBDIRECTORY(games)
 ADD_SUBDIRECTORY(icon)
 ADD_SUBDIRECTORY(lang)
-ADD_SUBDIRECTORY(src/sdl-instead)
+ADD_SUBDIRECTORY(src)
 ADD_SUBDIRECTORY(stead)
 ADD_SUBDIRECTORY(themes)
