=== debian/changelog ===
instead (3.1.2-2) unstable; urgency=low

  * Remove menu entry.
  * Add instead-doc-base to Conflicts and Replaces sections of
    instead-doc-common.
  * Fix build on Hurd systems (Closes: #873542).

 -- Sam Protsenko <joe.skb7@gmail.com>  Tue, 29 Aug 2017 00:39:00 +0300

instead (3.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #867540).
  * Fixed fonts dependencies (Closes: #861047).
  * Rename instead-doc-base -> instead-doc-common.
  * Use SDL2 instead of SDL1.
  * debian/control:
    - Bump Standards-Version up to 4.0.0.
    - Increase debhelper version up to 9.
  * debian/rules:
    - Move to CMake.
    - Simplify rules script.
  * debian/copyright:
    - Change copyrights w.r.t. to new INSTEAD version.

 -- Sam Protsenko <joe.skb7@gmail.com>  Mon, 21 Aug 2017 13:21:00 +0300
