## instead 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 ENDIF("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
 
 # global constants
-SET(INSTEAD_VERSION "3.1.2")
+SET(INSTEAD_VERSION "3.2.1")
 
 # options
-OPTION(WITH_SDL2 "Use SDL2 instead of SDL 1" OFF)
+OPTION(WITH_SDL2 "Use SDL2 instead of SDL 1" ON)
 OPTION(WITH_GTK2 "Use GTK2 file open dialog" ON)
 OPTION(WITH_GTK3 "Use GTK3 file open dialog" OFF)
 OPTION(WITH_ICONV "Build with iconv support" ON)
