=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,10 @@
 SET(DOC_FILES
-	index.html
+	
 )
 
 SET(GENERATED_DOC_FILES
 	stead3.pdf
-	stead2.pdf
-	stead2-modules.pdf
-	stead2-en.html
-	stead2.html
+	modules3.pdf
 	instead.txt
 )
