=== icon/CMakeLists.txt ===
SET(ICON_FILES
	sdl_instead.png
	sdl_instead.ico
	sdl_instead.svg
)

IF(WIN32)
	SET(PLATFORM_ICON_FILE sdl_instead_1x32.png)
ELSE(WIN32)
	SET(PLATFORM_ICON_FILE sdl_instead_1.png)
ENDIF(WIN32)

IF(SYSTEMWIDE)
	INSTALL(FILES ${ICON_FILES} DESTINATION ${ICONDIR})
	INSTALL(FILES ${PLATFORM_ICON_FILE} DESTINATION ${ICONDIR} RENAME sdl_instead_1.png)
ELSEIF(STANDALONE)
	INSTALL(FILES ${ICON_FILES} DESTINATION ${STANDALONEDIR}/icon)
	INSTALL(FILES ${PLATFORM_ICON_FILE} DESTINATION ${STANDALONEDIR}/icon RENAME sdl_instead_1.png)
ENDIF(SYSTEMWIDE)
