=== lang/CMakeLists.txt ===
IF(SYSTEMWIDE)
	FILE(GLOB FILES "*.ini")
	INSTALL(FILES ${FILES} DESTINATION ${LANGDIR})
ELSEIF(STANDALONE)
	FILE(GLOB FILES "*.ini")
	INSTALL(FILES ${FILES} DESTINATION ${STANDALONEDIR}/lang)
ENDIF(SYSTEMWIDE)
