=== themes/CMakeLists.txt ===
SET(THEMES arctic bluesteel book clearlooks default fantasy original wide)

IF(SYSTEMWIDE)
	FOREACH(THEME ${THEMES})
		INSTALL(DIRECTORY ${THEME} DESTINATION ${THEMESDIR} PATTERN ".svn" EXCLUDE)
	ENDFOREACH(THEME)
ELSEIF(STANDALONE)
	FOREACH(THEME ${THEMES})
		INSTALL(DIRECTORY ${THEME} DESTINATION ${STANDALONEDIR}/themes PATTERN ".svn" EXCLUDE)
	ENDFOREACH(THEME)
ENDIF(SYSTEMWIDE)
