## instead 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,14 @@
 ENDIF("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
 
 # global constants
-SET(INSTEAD_VERSION "3.2.1")
+SET(INSTEAD_VERSION "3.3.2")
 
 # options
 OPTION(WITH_SDL2 "Use SDL2 instead of SDL 1" ON)
 OPTION(WITH_GTK2 "Use GTK2 file open dialog" ON)
 OPTION(WITH_GTK3 "Use GTK3 file open dialog" OFF)
 OPTION(WITH_ICONV "Build with iconv support" ON)
+OPTION(WITH_LUAJIT "Use LuaJIT instead of Lua (recommended)" OFF)
 
 # Note: there are three build modes for instead:
 # - SYSTEMWIDE
