=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	wget "http://sourceforge.net/projects/instead/files/instead/build-bin-data/$(@)/download" -O $(@)
 
 windows-sdl2.tar.gz:
-	wget "http://sourceforge.net/projects/instead/files/instead/build-bin-data/$(@)/download" -O $(@)
+	wget "http://sourceforge.net/projects/instead/files/instead/build-bin-data/windows-sdl2.tar.gz/download" -O $(@)
 
 build-bin-data: caanoo.tar.gz mingw32ce.tar.gz windows-sdl2.tar.gz
