=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,9 @@
 )
 
 SET(GENERATED_DOC_FILES
-	stead3.pdf
-	modules3.pdf
+	stead3-ru.pdf
+	modules3-ru.pdf
+	stead3-en.pdf
 	instead.txt
 )
