=== src/CMakeLists.txt ===
--- 
+++ 
@@ -96,7 +96,12 @@
 ENDIF(SYSTEMWIDE)
 
 # depends
+IF(WITH_LUAJIT)
+FIND_PACKAGE(LuaJIT REQUIRED)
+ELSE(WITH_LUAJIT)
 FIND_PACKAGE(Lua51 REQUIRED)
+ENDif(WITH_LUAJIT)
+
 FIND_PACKAGE(ZLIB REQUIRED)
 FIND_LIBRARY(MATH_LIBRARY m)
 
@@ -110,6 +115,10 @@
 	${LUA_LIBRARIES}
 	${MATH_LIBRARY}
 )
+
+IF(APPLE)
+	SET(INSTEAD_LIBS ${INSTEAD_LIBS} "-framework AppKit")
+ENDIF(APPLE)
 
 IF(WITH_SDL2)
 	FIND_PACKAGE(SDL2 REQUIRED)
