=== stead/stead3/CMakeLists.txt ===
FILE(GLOB STEAD_FILES "*.lua")
FILE(GLOB STEAD_EXT_FILES "ext/*.lua")

IF(SYSTEMWIDE)
	INSTALL(FILES ${STEAD_FILES} DESTINATION ${STEADDIR}/stead3)
	INSTALL(FILES ${STEAD_EXT_FILES} DESTINATION ${STEADDIR}/stead3/ext)
ELSEIF(STANDALONE)
	INSTALL(FILES ${STEAD_FILES} DESTINATION ${STANDALONEDIR}/stead/stead3)
	INSTALL(FILES ${STEAD_EXT_FILES} DESTINATION ${STANDALONEDIR}/stead/stead3/ext)
ENDIF(SYSTEMWIDE)
