=== debian/changelog ===
instead (3.3.2-1.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:04:28 +1100

instead (3.3.2-1.1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:53:54 +0000

instead (3.3.2-1.1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:10:23 +0000

instead (3.3.2-1.1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:52:14 -0500

instead (3.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload (approved by Sam).
  * Source-only NMU to allow migration to testing.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 10 Sep 2020 14:25:03 +0300

instead (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Fix build error on sid/amd64 in SDL_anigif.c (Closes: #713680).
  * Bring back doc packages (English translation is ok now).
  * debian/compat:
    - Increase debhelper version up to 12.
  * debian/control:
    - Bump Standards-Version up to 4.4.1.
    - Add "Rules-Requires-Root: no" field.
  * debian/copyright:
    - Update dates.
    - Add missing authors to src/SDL_anigif.* files.
    - Fix license (change from LGPL-2.1 to correct Zlib) for files:
      src/SDL_gfxBlitFunc.*, src/SDL_rotozoom.*, src/SDL2_rotozoom.*.
  * debian/not-installed:
    - Add not-installed file to skip instead.txt installation.
  * debian/upstream/metadata:
    - Add metadata file to provide upstream info for UMEGAYA.

 -- Sam Protsenko <joe.skb7@gmail.com>  Sat, 25 Apr 2020 21:15:00 +0300

instead (3.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Sam Protsenko <joe.skb7@gmail.com>  Sat, 03 Nov 2018 17:18:00 +0200
