=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: instead
 Section: games
 Priority: optional
-Maintainer: Sam Protsenko <joe.skb7@gmail.com>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), pkg-config,
- cmake (>= 2.6.0), liblua5.1-0-dev, zlib1g-dev, libgtk2.0-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sam Protsenko <joe.skb7@gmail.com>
+Build-Depends: debhelper (>= 12), dpkg-dev (>= 1.16.1~), pkg-config,
+ cmake (>= 2.6.0), liblua5.1-0-dev, zlib1g-dev, libgtk-3-dev,
  libsdl2-dev, libsdl2-mixer-dev, libsdl2-image-dev, libsdl2-ttf-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://instead-hub.github.io/
+Rules-Requires-Root: no
 
 Package: instead
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, instead-data (= ${source:Version})
+Suggests: instead-doc-en | instead-doc-ru
 Description: Simple text adventures/visual novels engine
  INSTEAD -- INterpreter of Simple TExt ADventure.
  Using INSTEAD you can create and play games that could be classified
@@ -41,3 +44,38 @@
  .
  This package contains language files, graphical themes, STEAD scripts
  and tutorial.
+
+Package: instead-doc-common
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: instead-doc-base
+Conflicts: instead-doc-base
+Description: Common documentation for INSTEAD
+ This package contains base documentation (common for all languages).
+ .
+ At the moment this contains only examples for developer's manual.
+ These examples (written in Lua) demonstrate how to implement
+ common features when you write a game for INSTEAD.
+
+Package: instead-doc-en
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, instead-doc-common (= ${source:Version})
+Description: English documentation for INSTEAD
+ This package contains game developer manual and examples in English.
+ Manual describes basic API in Lua and how to create games for INSTEAD engine.
+ .
+ Complete and latest documentation is only available in Russian, and even
+ though its English counterpart is being translated and maintained, it may lag
+ behind a little bit.
+
+Package: instead-doc-ru
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, instead-doc-common (= ${source:Version})
+Description: Russian documentation for INSTEAD
+ This package contains game developer manual and examples in Russian.
+ Manual describes basic API in Lua and how to create games for INSTEAD engine.
+ .
+ Russian documentation is complete and up to date, so it's preferred to use it.
