=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
opts=pgpsigurlmangle=s/$/.asc/ http://sf.net/instead/instead_(.+)\.tar\.gz
